function singelem = subsref(singelem,index)
%SUBSREF - handles indexed references to objects
%
%   the first argument is the object and the second one a structure array
%   Usage:
%      singelem = subsref(singelem,index)
% 
%   See also SUBSASGN

singelem=builtin('subsref',singelem,index);
